> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Role

> Delete a custom role. Users assigned to this role will be reassigned to ReadOnly.

Delete a custom role. Users assigned to the deleted role will be automatically reassigned to the ReadOnly role.


## OpenAPI

````yaml openapi/organizations/delete-role.json DELETE /organizations/roles/{role_id}
openapi: 3.1.0
info:
  title: Roles API - Delete
  version: 1.0.0
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /organizations/roles/{role_id}:
    delete:
      summary: Delete Role
      description: >-
        Delete a custom role. Users assigned to this role will be reassigned to
        ReadOnly.
      operationId: delete-role
      parameters:
        - name: role_id
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the role to delete.
      responses:
        '204':
          description: No Content - Successfully deleted
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
      x-default: <Your PUBLIC-API-KEY>
    sec1:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY
      x-default: <Your PRIVATE-SECRET-KEY>

````